# Interface Adapter<C>

Low-level interface for PouchDB adapters - allows basic CRUD operations for arbitrary (weakly-typed) data types.

#### Type Parameters

- #### C extends Meta.Collections

#### Hierarchy

- Adapter

#### Implemented by

- Meta.Pouch.Adapters.Base.Databases

- Defined in packages/db/src/meta/pouch/types.ts:32

#####
Index

### Methods

delete
every
retrieve
save
search

## Methods

### delete

- delete<N, T>(collectionName, references): Promise<void>

- Delete saved records

  #### Type Parameters

  - #### N extends string

  - #### T

  #### Parameters

  - ##### collectionName: N

  - ##### references: (undefined | RecordReference<T>)[]

    Can be sparse

  #### Returns Promise<void>

  - Defined in packages/db/src/meta/pouch/types.ts:78

### every

- every<N, T>(collectionName): Promise<SavedRecord<T>[]>

- Retrieve and return every saved record for a given collection name

  #### Type Parameters

  - #### N extends string

  - #### T

  #### Parameters

  - ##### collectionName: N

  #### Returns Promise<SavedRecord<T>[]>

  - Defined in packages/db/src/meta/pouch/types.ts:36

### retrieve

- retrieve<N, T>(collectionName, references): Promise<(undefined | SavedRecord<T>)[]>

- Retrieve specific saved records of a given collection name by list of references.

  #### Type Parameters

  - #### N extends string

  - #### T

  #### Parameters

  - ##### collectionName: N

  - ##### references: (undefined | RecordReference<T>)[]

    Can be sparse

  #### Returns Promise<(undefined | SavedRecord<T>)[]>

  - Items in list correspond to `references` by index (also sparse)
  - Defined in packages/db/src/meta/pouch/types.ts:47

### save

- save<N, T>(collectionName, records, options): Promise<(undefined | SavedRecord<T>)[]>

- Create or update saved records of a given collection name.

  #### Type Parameters

  - #### N extends string

  - #### T

  #### Parameters

  - ##### collectionName: N

  - ##### records: (undefined | Record<T>)[]

    Can be sparse

  - ##### options: {
    overwrite?: boolean;
    }

    - ##### `Optional` overwrite?: boolean

  #### Returns Promise<(undefined | SavedRecord<T>)[]>

  - Items in list correspond to `records` by index (also sparse)
  - Defined in packages/db/src/meta/pouch/types.ts:67

### search

- search<N, T>(collectionName, options): Promise<SavedRecord<T>[]>

- Search for saved records of a given collection name by PouchDB find syntax

  #### Type Parameters

  - #### N extends string

  - #### T

  #### Parameters

  - ##### collectionName: N

  - ##### options: FindRequest<{}>

  #### Returns Promise<SavedRecord<T>[]>

  - Defined in packages/db/src/meta/pouch/types.ts:56

Generated using TypeDoc